# Generated from sunspot_rails-2.5.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sunspot_rails

Name: rubygem-%{gem_name}
Version: 2.5.0
Release: 1%{?dist}
Summary: Rails integration for the Sunspot Solr search library
License: MIT
URL: http://github.com/sunspot/sunspot/tree/master/sunspot_rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(appraisal) = 2.2.0
# BuildRequires: rubygem(rspec) >= 3.7
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-rails) >= 3.7
# BuildRequires: rubygem(rspec-rails) < 4
# BuildRequires: rubygem(sqlite3) >= 1.3.0
# BuildRequires: rubygem(sqlite3) < 1.4
BuildArch: noarch

%description
Sunspot::Rails is an extension to the Sunspot library for Solr search.
Sunspot::Rails adds integration between Sunspot and ActiveRecord, including
defining search and indexing related methods on ActiveRecord models
themselves,
running a Sunspot-compatible Solr instance for development and test
environments, and automatically commit Solr index changes at the end of each
Rails request.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Appraisals
%license %{gem_instdir}/LICENSE
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/TODO
%{gem_instdir}/dev_tasks
%{gem_instdir}/gemfiles
%{gem_instdir}/generators
%{gem_instdir}/install.rb
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/sunspot_rails.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 2.5.0-1
- Initial package
